Sun, 23 Jan 2022 07:08:52 UTC

Information for RPM clippy-1.52.1-1.module_el8.5.0+837+3bc7d01c.ppc64le.rpm

ID334253
Nameclippy
Version1.52.1
Release1.module_el8.5.0+837+3bc7d01c
Epoch
Archppc64le
SummaryLints to catch common mistakes and improve your Rust code
DescriptionA collection of lints to catch common mistakes and improve your Rust code.
Build Time2021-06-15 22:52:27 GMT
Size2081732
e6a4368d42d6caeae446f710021f3ee6
License(ASL 2.0 or MIT) and (BSD and MIT)
Buildrootmodule-rust-toolset-rhel8-8050020210615201716-f73640c0-build-72105-22470
Provides
clippy = 1.52.1-1.module_el8.5.0+837+3bc7d01c
clippy(ppc-64) = 1.52.1-1.module_el8.5.0+837+3bc7d01c
clippy-preview = 1.52.1-1.module_el8.5.0+837+3bc7d01c
Obsoletes
clippy-preview <= 0.0.212
Conflicts No Conflicts
Requires
cargo
ld64.so.2()(64bit)
ld64.so.2(GLIBC_2.22)(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.17)(64bit)
libc.so.6(GLIBC_2.18)(64bit)
libdl.so.2()(64bit)
libdl.so.2(GLIBC_2.17)(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcc_s.so.1(GCC_3.3)(64bit)
libgcc_s.so.1(GCC_4.2.0)(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.17)(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.17)(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)
rust(ppc-64) = 1.52.1-1.module_el8.5.0+837+3bc7d01c
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 13 of 13
Name ascending sort Size
/usr/bin/cargo-clippy485448
/usr/bin/clippy-driver7662584
/usr/lib/.build-id0
/usr/lib/.build-id/470
/usr/lib/.build-id/47/1635f406e39dedb8915851ba8c9206a4420cc532
/usr/lib/.build-id/770
/usr/lib/.build-id/77/2e346b513b268230e8849d866bf9ee434533a933
/usr/share/doc/clippy0
/usr/share/doc/clippy/CHANGELOG.md145695
/usr/share/doc/clippy/README.md8943
/usr/share/licenses/clippy0
/usr/share/licenses/clippy/LICENSE-APACHE10852
/usr/share/licenses/clippy/LICENSE-MIT1089
Component of No Buildroots